# Select

## Description:

Select

Select is a form control which after a click displays a collapsable list of multiple values which can be used in forms, menus or surveys.

### Allowed Parent Components:

1. Card Table Column
2. Col
3. Form
4. Form Search

### Allowed Child Components:

1. Popover
2. Pulse
3. Trigger After Select Query
4. Trigger Before Render
5. Trigger Before Select Query
6. Trigger On Change
7. Trigger On Click

### Properties

### ➤ Field Label

Allowed Values: An expression which should return string after evaluation

### ➤ Help Text1

Provide some helpful level one text for this field and see how it looks on the UI

Allowed Values: Free text field

### ➤ Help Text2

Provide some helpful level two text for this field and see how it looks on the UI

Allowed Values: Free text field

### ➤ Hide Label

Check this to hide the label

Allowed Values: Yes/No

### ➤ Label Primary

Check to render the label in primary color

Allowed Values: Yes/No

### ➤ Placeholder

Allowed Values: An expression which should return string after evaluation

### ➤ Tool Tip

A message which appears when a cursor is positioned over.

Allowed Values: An expression which should return string after evaluation

### ➤ Tool Tip Position

Select an option to change the placement of the tooltip when appears.

Allowed Values:

1. left
2. right
3. top
4. bottom

### ➤ Insert Allowed

Allowed Values: Yes/No

### ➤ Insert Allowed Condition

Specify an expression to conditionally allow editing this field while creating a new row

Allowed Values: An expression which should return boolean after evaluation

### ➤ Update Allowed

Allowed Values: Yes/No

### ➤ Update Allowed Condition

Specify an expression to conditionally allow editing this field while updating an existing row

Allowed Values: An expression which should return boolean after evaluation

### ➤ Required

Check this to make this field mandatory.

Allowed Values: Yes/No

### ➤ Required Condition

Specify an expression to conditionally make this field mandatory

Allowed Values: An expression which should return boolean after evaluation

### ➤ Multi Selection

Check this property to allow user to select multiple values from the list.

Allowed Values: Yes/No

### ➤ Simple Values

Provide comma seperated values e.g. Blue, Black, Green or value:label pairs e.g. BLUE:Blue, BLACK:Black, G:Green

Allowed Values: An expression which should return string after evaluation

### ➤ View Attribute

Allowed Values: Attribute

### ➤ Default Value

Provide a text to set as default value.

Allowed Values: An expression which should return string after evaluation

### ➤ Validate On Commit

Check this to perform validations after commit.

Allowed Values: Yes/No

### ➤ Select Option On Tab

Uncheck this to stop select an option on tab keypress

Allowed Values: Yes/No

### ➤ DataSource

Select a datasource from the list.

Allowed Values: Select a datasource from the list.

### ➤ Data Source Alias

Allowed Values: Free text field

### ➤ Default Where Clause

Allowed Values: Free text field

### ➤ Max Rows

Allowed Values: Any number value

### ➤ Order By Clause

e.g. #firstAttr#, #secondAttr# DESC

Allowed Values: Free text field

### ➤ Value Attribute

Choose an attribute that needs to be stored in the database.

Allowed Values: Choose an attribute that needs to be stored in the database.

### ➤ Display Attribute

Choose an attribute that needs to be visible to the user.

Allowed Values: Choose an attribute that needs to be visible to the user.

### ➤ Select Mapping

Allowed Values: Free text field

### ➤ Remote Filter

Allowed Values: Yes/No

### ➤ Cache Results

With remote filter checked, check this if you want the system to cache data fetched for each filter to avoid re-query if the user types the same filter again

Allowed Values: Yes/No

### ➤ Do Not Prefetch

Check this to programmatically control this Select Query

Allowed Values: Yes/No

### ➤ Column Size

Choose 6 for a two column form or 4 for a three column form

Allowed Values: Choose 6 for a two column form or 4 for a three column form

### ➤ Transparent

Check this if you want this field to be displayed without any borders around the input field. Typically used for readonly fields on a grey background.

Allowed Values: Yes/No

### ➤ Options Width

Enter a numeric value to change the width of the options in the select box.

Allowed Values: Any number value

### ➤ Alignment

Select an option to set the alignment of the text.

Allowed Values:

1. Start
2. Center
3. End

### ➤ All Caps

Select this property for capitalizing the text.

Allowed Values: Yes/No

### ➤ Text Color

Select a color or enter the custom class to change the color of the text.

Allowed Values: Select a color or enter the custom class to change the color of the text.

### ➤ Font Weight

This property sets how thick or thin characters in text should be displayed.

Allowed Values:

1. Light
2. Normal
3. Semi Bold
4. Bold
5. Default

### ➤ Hint Text

Check this property to fade the font color of the text.

Allowed Values: Yes/No

### ➤ Italic

Check this property to change the font style of the text to italic.

Allowed Values: Yes/No

### ➤ Muted

Check this property to change the color of the font to light grey.

Allowed Values: Yes/No

### ➤ No Decoration

Check this property to remove decoration of the text

Allowed Values: Yes/No

### ➤ Overflow Ellipsis

Check this property to show hidden overflow content as an ellipsis ('…').

Allowed Values: Yes/No

### ➤ Text Size

Select an option to change the size of the text.

Allowed Values:

1. Small
2. Normal
3. Large
4. Default

### ➤ On Change

Allowed Values: Controller Function

### ➤ On Focus

Looking for a tip? Avoiding the use of onFocus!

Allowed Values: Controller Function

### ➤ On Blur

Looking for a tip? Avoiding the use of onBlur!

Allowed Values: Controller Function


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudio.io/ui-components/widgets/select.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
